Relesys API Docs

v1.4

https://api.relesystest.net/api/v1.4

Comments

Get Comments
GET /contentmodules/{moduleId}/content/{contentId}/comments
https://api.relesystest.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}/comments
Get a list of content comments.
Default sort is by creationDateTime in descending order.

Please note: Comments must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
parentCommentId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"fefbca2b-68f0-4163-9b3b-f2d15dd62cf1","url":null,"userId":"95df7e6b-1296-44e6-96e7-83664306e1a8","userUrl":null,"parentCommentId":"d63dbfdc-038e-4b62-aaf3-d6ac3604cb5f","parentCommentUrl":null,"creationDateTime":"2026-10-26T06:15:49.3138982+00:00","lastModifiedDateTime":"2026-10-26T10:15:49.3138982+00:00","medias":[{"id":"b8600be9-9149-46dc-a8ae-2972e40de82b","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"},{"id":"7bcdff5f-0840-473c-9ce1-3fb41fc7795b","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"mp4"}],"mentions":null,"locales":[{"culture":"en-GB","text":"Example text 1"}]},{"id":"f319644b-7eaa-4f9b-93e1-c02016b3ef54","url":null,"userId":"c0c6d851-2ed9-41a0-a39f-565e933f7522","userUrl":null,"parentCommentId":"47ad7443-c02c-4f04-b5ba-fb8c8d8c7b4f","parentCommentUrl":null,"creationDateTime":"2026-10-26T05:15:49.3138982+00:00","lastModifiedDateTime":null,"medias":null,"mentions":[{"type":"User","name":null,"id":"711c50d5-9eee-448a-a2d5-c9d65122a3a0","url":null},{"type":"Department","name":null,"id":"db800592-8bab-4e73-8676-6d3d62e07873","url":null},{"type":"User group","name":null,"id":"9753dd2b-c78b-4cf0-add0-d4263e880905","url":null}],"locales":[{"culture":"en-GB","text":"Example text 2"}]}]}
object
  count integer      
  ⯈ data array[object]      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   ⯈ locales array[object]      
    culture string      
    text string      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   ⯈ mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   parentCommentId string / guid      
   parentCommentUrl string      
   url string      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string